Full text search does not work

Bug #1767817 reported by Mordi on 2018-04-29
124
This bug affects 22 people
Affects Status Importance Assigned to Milestone
nautilus (Ubuntu)
High
Unassigned
Bionic
High
Unassigned
Cosmic
High
Unassigned

Bug Description

* Impact
The text search feature, which is depending on tracker, is not working even when the service is installed

* Test case
- install tracker and restart your session
- echo 'Nautilus is great' > ~/txt
- open nautilus and type 'great' in the search entry

-> the file should be listed

* Regression potential

That's changing the search provider logic, make sure that searching for file without tracker still works (that only look at filenames) and there is no extra logging/cpu usage

---------------

Background: I have installed Tracker. It has finished indexing. I can also use Tracker's command line interface to search by content.

1.

Description: Ubuntu 18.04 LTS
Release: 18.04

2.

nautilus:
  Installed: 1:3.26.3-0ubuntu4
  Candidate: 1:3.26.3-0ubuntu4
  Version table:
 *** 1:3.26.3-0ubuntu4 500
        500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

3. I expect to be able to search files by content from Nautilus, because this feature worked in 17.10.

4. I get no results from full text search unless the search matches file names.

Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in nautilus (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed
Mordi (mrdc76) wrote :

Sorry, but the process seems a bit too complex for me.

Mordi (mrdc76) wrote :

I kind of figured this out. In addition to Tracker, you need Gnome Documents and gnome-shell-extensions installed. Launch Gnome Documents, and it will index your files. Now you will be able to search by content from Gnome Documents and Gnome Shell, but still not from Nautilus. Perhaps this is because Ubuntu installs an older version of Nautilus (3.26).

I think nautilus 3.26 should do full text search. If not, there are two possibilities
Remove the option from the search menu.

Implement/fix the full text search capability.

On máj 3 2018, at 5:35 du, Mordi <email address hidden> wrote:
>
> I kind of figured this out. In addition to Tracker, you need Gnome
> Documents and gnome-shell-extensions installed. Launch Gnome Documents,
> and it will index your files. Now you will be able to search by content
> from Gnome Documents and Gnome Shell, but still not from Nautilus.
> Perhaps this is because Ubuntu installs an older version of Nautilus
> (3.26).
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1764995).
> https://bugs.launchpad.net/bugs/1767817
>
> Title:
> Full text search does not work
>
> Status in nautilus package in Ubuntu:
> Confirmed
>
> Bug description:
> Background: I have installed Tracker. It has finished indexing. I can
> also use Tracker's command line interface to search by content.
>
> 1.
> Description: Ubuntu 18.04 LTS
> Release: 18.04
>
> 2.
> nautilus:
> Installed: 1:3.26.3-0ubuntu4
> Candidate: 1:3.26.3-0ubuntu4
> Version table:
> *** 1:3.26.3-0ubuntu4 500
> 500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> 3. I expect to be able to search files by content from Nautilus,
> because this feature worked in 17.10.
>
> 4. I get no results from full text search unless the search matches
> file names.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1767817/+subscriptions
>

Wolf Walter (wolfwalterjever) wrote :

I have the same problem. Does also not work with the nautilus version from flathub.

Balazs Pere (perebal-sze) wrote :

I have three computers, two desktops and one laptop. Two of them has a newly installed Ubuntu 18.04 and one has an upgraded 18.04 (from 17.10). In one desktop I installed ubuntu 18.04 in virtualbox. For every operating system I installed tracker. Full text search in nautilus doesn't work in any of them.
It must be a bug.

On máj 8 2018, at 7:05 du, Wolf Walter <email address hidden> wrote:
>
> I have the same problem. Does also not work with the nautilus version
> from flathub.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1764995).
> https://bugs.launchpad.net/bugs/1767817
>
> Title:
> Full text search does not work
>
> Status in nautilus package in Ubuntu:
> Confirmed
>
> Bug description:
> Background: I have installed Tracker. It has finished indexing. I can
> also use Tracker's command line interface to search by content.
>
> 1.
> Description: Ubuntu 18.04 LTS
> Release: 18.04
>
> 2.
> nautilus:
> Installed: 1:3.26.3-0ubuntu4
> Candidate: 1:3.26.3-0ubuntu4
> Version table:
> *** 1:3.26.3-0ubuntu4 500
> 500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> 3. I expect to be able to search files by content from Nautilus,
> because this feature worked in 17.10.
>
> 4. I get no results from full text search unless the search matches
> file names.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1767817/+subscriptions
>

Mordi (mrdc76) wrote :

Gnome developers think that this issue is a decision made by Ubuntu:

"Unfortunately, Ubuntu disables the technology we use for that. Please report there."

https://gitlab.gnome.org/GNOME/nautilus/issues/451

As said above, Full text search should be removed from Ubuntu if it is not even supposed to work.

sojusnik (sojusnik) wrote :

Same here with a fresh installed Ubuntu 18.04...

bdr529 (michael-severin) wrote :

Same here with Ubuntu 18.04. Full text search ist a key function for an os. It's ridiculous that an os isn't able to process a full text search in 2018.

Mahendra Tallur (mahen) wrote :

Hi !

I have the same issue as I stated here : https://askubuntu.com/questions/1061855/ubuntu-18-04-and-tracker-files-properly-indexed-but-not-searchable-in-gs-naut

1. I installed tracker
2. I indexed all my data (as indicated on the command line by "tracker status" / "tracker daemon")
3. I checked whether everything was properly indexed by making some queries on the command line based on the content of some text files : the command line "tracker search" command did yield the right results
4. I made the same searches from Nautilus : they yielded no result : Nautilus (and thus the shell) only seem to use the "mlocate" database and not the tracker one.

Hypothesis : the fact Ubuntu makes use of Nautilus 3.26 while the rest of the Gnome stack is 3.28 ?

Actually, did anyone manage to get Nautilus 3.26 (and thus Gnome Shell with the nautilus search provider) from Ubuntu 18.04 to use the result of the tracker indexing ? I checked all possible settings in dconf-editor and found no relevant option.

Cheers :-)

Mordi (mrdc76) wrote :

You don't need Nautilus to search documents by content: for that, install gnome-documents. However, there is a bug: if you search documents from Gnome Shell, Gnome Documents will eventually crash and need to be restarted. To get around this bug, you have to disable the functionality from Settings/Search. Thereby, the only way to search documents by content is from Gnome Documents -app.

bdr529 (michael-severin) wrote :

Gnome Documents doesn't find any documents either.
I resigned and use Recoll instead It's very fast and reliable.

Balazs Pere (perebal-sze) wrote :

Why don't want the developers fix this (and other) bug? Whether do they
want me to use the non-LTS releases? Or do they want me to use other
distros than Ubuntu?
So I would like to use Ubuntu 18.04 with full gnome functionality without
bugs. (e.g. without memory leak...)

bdr529 <email address hidden> ezt írta (időpont: 2018. aug. 3., P
21:06):

> Gnome Documents doesn't find any documents either.
> I resigned and use Recoll instead It's very fast and reliable.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1764995).
> https://bugs.launchpad.net/bugs/1767817
>
> Title:
> Full text search does not work
>
> Status in nautilus package in Ubuntu:
> Confirmed
>
> Bug description:
> Background: I have installed Tracker. It has finished indexing. I can
> also use Tracker's command line interface to search by content.
>
> 1.
>
> Description: Ubuntu 18.04 LTS
> Release: 18.04
>
> 2.
>
> nautilus:
> Installed: 1:3.26.3-0ubuntu4
> Candidate: 1:3.26.3-0ubuntu4
> Version table:
> *** 1:3.26.3-0ubuntu4 500
> 500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> 3. I expect to be able to search files by content from Nautilus,
> because this feature worked in 17.10.
>
> 4. I get no results from full text search unless the search matches
> file names.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1767817/+subscriptions
>

sojusnik (sojusnik) wrote :

Full text search should work out of the box. Every modern OS has this. IMHO, the importance should be changed to "high" instead of "low"!

bitinerant (bitinerant) wrote :

Related: Bug #1702878 - Cant add folders to Search in Gnome Control Center

or2v (or2v) wrote :

Same with me.
Very annoying.
Ubuntu 18.10 installed.
Tracker full text search works in command line ($tracker search WordToSearch).
No full text search with the graphical file manager.

William (ww87) wrote :

I registered just to post on this bug report.
I'm a dev trying to switch over to Linux and I chose Ubuntu assuming it would be the most functionable distro in 2018.
However I simply cannot make the transition until type-as-you-go search + indexing is not working just like on macos in 2013 and even now on windows 10.

sojusnik (sojusnik) wrote :

Even after installing Nautilus 3.30 from the staging Gnome PPA (https://launchpad.net/~gnome3-team/+archive/ubuntu/gnome3-staging?field.series_filter=cosmic), the full text search isn't working in Nautilus, but does in the terminal (tracker search xyz).

Ubuntu devs, please have a look on that. Such an essential feature can't have a "low" priority on a modern OS.

Piotr Kujawski (elektrownia) wrote :

Any ideas of a solution?

Balazs Pere (perebal-sze) wrote :

Does anybody know what to change in the source code to made FTS work? I can compile and install it...at my own risk.

Thatoo (thatoo) wrote :

Did anyone manage to get a clue on where is that problem coming from? Ubuntu? Nautilus? Gnome? and how to solve it?

It is very annoying!

I have
Ubuntu 18.04.2 LTS
Nautilus 3.26.4

Thatoo (thatoo) wrote :

Does anyone knows if it works again with ubuntu 18.10?

sojusnik (sojusnik) wrote :

Nope, see previous posts.

Mordi (mrdc76) wrote :

Thatoo, see my previous comment #8 why this bug occurs.

Sebastien Bacher (seb128) wrote :

@Mordi, tracker can be installed, which some of the commenters here seemed to have done, also the current Ubuntu serie installs it by default now

or2v (or2v) wrote :

Same problem with a fresh install of Ubuntu 18.10, with Gnome Files/Nautilus 3.26.4.
Tracker is not installed by default. I had to install it afterward. Works fine in command line into the terminal. But this is not enough.

With Gnome Tweak, menu "Plug-ins", Tracker Search (Integrates tracker-search into the gnome-shell desktop)" is shown with an alert sign (⚠). It cannot be activated.

Is that the problem ?

(I installed, from Ubuntu software, the other plug-in "Tracker search provider (Provides tracker search results in overview)".
I checked with Gnome Tweak, it is activated. Then, search with the "Activities Overview" provides 2 categories of search results, "Files" with 5 results on the file name, and "tracker-needle", with 5 results on the full text. Results are presented at the speed of light, type-as-you-go style wished by @William. But this limitation to 5 results is not very convenient, and once away from the Overview and back, the search results are lost. You have to retype your search query all over again…)

@Mordi I installed Gnome Documents. It does present full text search results, but limited to the documents in the formats it deals with ((pdf, docx, odt…), but, strangely not for the plain text documents…

So the only way so far to do complete plain text search with tracker, is to use the terminal. Very strange, since MacOS as well as Windows do this very well with their file managers. (And Ubuntu used to do it before 17.10 at the time of Unity.)

I share the opinion of @bdr529 and @sojusnik that this lack of easy Full text search is ridiculous, and that it should work out of the box. This is a high priority bug.

Mordi (mrdc76) wrote :

@or2v: Yes, Gnome Documents does not search plain txt-files. I read a while ago that it is so by the developers' decision.

bdr529 (michael-severin) wrote :

Ubuntu 18.10 with tracker installed:
With Tracker Search Provider by hamiller Plugin for Gnome Shell, Full-text Search works, but is limited to 5 results as or2V has written. Full text search within Nautilus does not.
I still do not understand the classification of the bug on low priority. I can't believe this.

Balazs Pere (perebal-sze) wrote :

If the users think it is important, developers should raise the level of
priority.

bdr529 <email address hidden> ezt írta (időpont: 2019. febr. 17., V,
20:10):

> Ubuntu 18.10 with tracker installed:
> With Tracker Search Provider by hamiller Plugin for Gnome Shell, Full-text
> Search works, but is limited to 5 results as or2V has written. Full text
> search within Nautilus does not.
> I still do not understand the classification of the bug on low priority. I
> can't believe this.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1764995).
> https://bugs.launchpad.net/bugs/1767817
>
> Title:
> Full text search does not work
>
> Status in nautilus package in Ubuntu:
> Confirmed
>
> Bug description:
> Background: I have installed Tracker. It has finished indexing. I can
> also use Tracker's command line interface to search by content.
>
> 1.
>
> Description: Ubuntu 18.04 LTS
> Release: 18.04
>
> 2.
>
> nautilus:
> Installed: 1:3.26.3-0ubuntu4
> Candidate: 1:3.26.3-0ubuntu4
> Version table:
> *** 1:3.26.3-0ubuntu4 500
> 500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> 3. I expect to be able to search files by content from Nautilus,
> because this feature worked in 17.10.
>
> 4. I get no results from full text search unless the search matches
> file names.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1767817/+subscriptions
>

Thatoo (thatoo) wrote :

It is actually for me a reason to finally drop Ubuntu.
At least if they decide to abandon Ubuntu Touch and Unity to move back to Gnome, they should at least do it good and nor providing an OS that doesn't provide a proper modern search tool.

I usually don't say bad about free software devs because I respect them too much and I depend on them because I care about freedom but damn, sometime I don't understand their choices and priorities...

Sebastien Bacher (seb128) wrote :

It's a logic error in a patch, let's get that resolved (note that it's already fixed in the current Ubuntu serie which uses tracker)

Changed in nautilus (Ubuntu):
status: Confirmed → In Progress
importance: Low → High
Thatoo (thatoo) wrote :

ok.
Thank you for hearing us.
I'll be glad to help making test if needed.

I'm not sure to understand what you wrote between bracket as some of us here (including me) have fresh install of Ubuntu 18.04 or 18.10 . You mean that it will be solved with 19.04?
That's a good news but the LTS is 18.04 so it would be nice to have this corrected for the next 18.04.3...

Sebastien Bacher (seb128) wrote :

Yes, it's fixed in the Disco serie, I've uploaded a test package to https://launchpad.net/~ubuntu-desktop/+archive/ubuntu/ppa/+build/16410497

Balazs Pere (perebal-sze) wrote :

It seems to work well. Sometimes it hang up, shows "searching" in the right bottom corner of nautilus window. If I delete back some characters in the input field, it starts to work again.

On Feb 20 2019, at 9:11 am, Sebastien Bacher <email address hidden> wrote:
> Yes, it's fixed in the Disco serie, I've uploaded a test package to
> https://launchpad.net/~ubuntu-
> desktop/+archive/ubuntu/ppa/+build/16410497
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1764995).
> https://bugs.launchpad.net/bugs/1767817
>
> Title:
> Full text search does not work
>
> Status in nautilus package in Ubuntu:
> In Progress
>
> Bug description:
> Background: I have installed Tracker. It has finished indexing. I can
> also use Tracker's command line interface to search by content.
>
> 1.
> Description: Ubuntu 18.04 LTS
> Release: 18.04
>
> 2.
> nautilus:
> Installed: 1:3.26.3-0ubuntu4
> Candidate: 1:3.26.3-0ubuntu4
> Version table:
> *** 1:3.26.3-0ubuntu4 500
> 500 http://fi.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> 3. I expect to be able to search files by content from Nautilus,
> because this feature worked in 17.10.
>
> 4. I get no results from full text search unless the search matches
> file names.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1767817/+subscriptions
>

description: updated

Hello Mordi, or anyone else affected,

Accepted nautilus into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nautilus/1:3.26.4-0ubuntu7.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nautilus (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Timo Aaltonen (tjaalton) wrote :

Hello Mordi, or anyone else affected,

Accepted nautilus into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nautilus/1:3.26.4-0~ubuntu18.04.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nautilus (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Mordi (mrdc76) wrote :

1:3.26.4-0~ubuntu18.04.4 fixed this bug for me.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Thatoo (thatoo) wrote :

1:3.26.4-0~ubuntu18.04.4 fixed this bug for me too!

Changed in nautilus (Ubuntu Bionic):
importance: Undecided → High
Changed in nautilus (Ubuntu Cosmic):
importance: Undecided → High
Changed in nautilus (Ubuntu):
status: In Progress → Fix Released
Fernando (fmuro) wrote :

1:3.26.4-0~ubuntu18.04.4 also fixed this bug for me in Bionic, thanks!

Ok guys, how long 'till this drop into updates? Still on proposed...

tags: added: verification-done
removed: verification-needed

Thank you for taking the time to verify this stable release fix. We have noticed that you have used the verification-done tag for marking the bug as verified and would like to point out that due to a recent change in SRU bug verification policy fixes now have to be marked with per-release tags (i.e. verification-done-$RELEASE). Please remove the verification-done tag and add one for the release you have tested the package in. Thank you!

https://wiki.ubuntu.com/StableReleaseUpdates#Verification

Sebastien Bacher (seb128) wrote :

@Brian, that was changed because it doesn't seem to get validated despite being verification-done-bionic, do you know why?

Mordi (mrdc76) on 2019-03-23
tags: removed: verification-done

The verification of the Stable Release Update for nautilus has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Łukasz Zemczak (sil2100) wrote :

Thank you for testing the package, I have promoted it to bionic-updates. The cosmic counterpart still needs verification though. Could someone test the 18.10 package so we could get it released as well?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.26.4-0~ubuntu18.04.4

---------------
nautilus (1:3.26.4-0~ubuntu18.04.4) bionic; urgency=medium

  * d/p/0015-tracker-search-engine-don-t-start-it-if-not-availabl.patch:
    - update the patch to fix a logic error in the code which made tracker
      never being used even if it's installed (lp: #1767817)

 -- Sebastien Bacher <email address hidden> Wed, 06 Mar 2019 17:31:08 +0100

Changed in nautilus (Ubuntu Bionic):
status: Fix Committed → Fix Released
tags: added: verification-done-cosmic
removed: verification-needed-cosmic
tags: added: verification-needed-cosmic
removed: verification-done-cosmic
Sebastien Bacher (seb128) wrote :

The 1:3.26.4-0ubuntu7.2 update in cosmic works as intended

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.26.4-0ubuntu7.2

---------------
nautilus (1:3.26.4-0ubuntu7.2) cosmic; urgency=medium

  * d/p/0015-tracker-search-engine-don-t-start-it-if-not-availabl.patch:
    - update the patch to fix a logic error in the code which made tracker
      never being used even if it's installed (lp: #1767817)

 -- Sebastien Bacher <email address hidden> Wed, 06 Mar 2019 17:23:15 +0100

Changed in nautilus (Ubuntu Cosmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers